#include "tetris-struct.h"

#define SCREEN_WIDTH 1280
#define SCREEN_HEIGHT 720

#define BORDER_GAP 20
#define SQUARE_SIZE 30

#define GRID_PWIDTH SQUARE_SIZE*GRID_WIDTH
#define GRID_PHEIGHT SQUARE_SIZE*GRID_HEIGHT

// Init functions
void InitDisplay();
void InitGame();

// Draw functions
void drawSquare(int x, int y, Color color);
void drawPiece(Piece p);
void drawGrid(Grid g);

// Display functions
void displayScore(int score);
void displayLevel(int level);

// Display functions (debug only)
void displaySquare(Square sq, int pIndex, int pListIndex);
void displayPiece(Piece p, int pListIndex);
void displayPieceList(Piece* pList, int size);
void displayColumn(Square* line, int index, int height);
void displayGrid(Grid g);